import { Base, Point, Type, IEnumerable, IList } from "igniteui-angular-core";
import { IOuterLabelWidthDecider } from "./IOuterLabelWidthDecider";
import { IFunnelLabelSizeDecider } from "./IFunnelLabelSizeDecider";
import { ServiceProvider } from "./ServiceProvider";
import { MessageChannel } from "./MessageChannel";
import { Brush } from "igniteui-angular-core";
import { SliceInfo } from "./SliceInfo";
import { FontInfo } from "igniteui-angular-core";
import { BrushCollection } from "igniteui-angular-core";
import { MessageHandler } from "./MessageHandler";
import { ObjectColumn } from "./ObjectColumn";
import { Size } from "igniteui-angular-core";
import { SliceInfoList } from "./SliceInfoList";
import { DoubleAnimator } from "igniteui-angular-core";
import { Bezier } from "./Bezier";
import { DoubleColumn } from "./DoubleColumn";
import { OuterLabelAlignment } from "./OuterLabelAlignment";
import { FunnelSliceDisplay } from "./FunnelSliceDisplay";
import { IItemProvider } from "./IItemProvider";
import { SliceSelectionManager } from "./SliceSelectionManager";
import { FunnelFrame } from "./FunnelFrame";
import { Style } from "igniteui-angular-core";
import { IChartLegend } from "igniteui-angular-core";
import { DataTemplate } from "igniteui-angular-core";
import { ILegendSeries } from "igniteui-angular-core";
import { Control } from "igniteui-angular-core";
import { ILegendOwner } from "igniteui-angular-core";
import { ILegendTemplateProvider } from "igniteui-angular-core";
import { FastItemsSource } from "igniteui-angular-core";
import { IFastItemColumn$1 } from "igniteui-angular-core";
import { Visibility } from "igniteui-angular-core";
import { FastItemsSourceEventAction } from "igniteui-angular-core";
import { FunnelSliceClickedEventArgs } from "./FunnelSliceClickedEventArgs";
import { FunnelChartVisualData } from "./FunnelChartVisualData";
/**
 * @hidden
 */
export declare class XamFunnelView extends Base implements IOuterLabelWidthDecider, IFunnelLabelSizeDecider {
    static $t: Type;
    g: MessageHandler;
    private h;
    i: ServiceProvider;
    f: MessageChannel;
    private am;
    private an;
    private al;
    private ao;
    private bg;
    private ad;
    private ae;
    private ah;
    private ai;
    private ag;
    private af;
    private o;
    private q;
    private r;
    private p;
    private j;
    private be;
    private bf;
    private k;
    private l;
    private x;
    private y;
    private z;
    private ap;
    private aq;
    private u;
    private v;
    private ba;
    private a6;
    private a5;
    az(): void;
    ax(a: XamFunnelChart): void;
    private aj;
    private bc;
    private bb;
    private ar;
    private at;
    private a3;
    a4(a: () => void): void;
    private ay;
    aa(): number;
    m(): FontInfo;
    n(): FontInfo;
    ab(): number;
    ac(): number;
    private static a;
    private static b;
    private c;
    private e;
    private t;
    private w;
    d(a: boolean): BrushCollection;
    private ak;
    private a7;
    constructor();
    av(a: XamFunnelChart): void;
    private aw;
    private a1;
    private bd;
    private as;
    a0(): void;
    private a9;
    private a8;
    decideWidth(a: ObjectColumn): number;
    decideLabelSize(a: SliceInfo, b: boolean): Size;
    s(a: ObjectColumn, f_: any): boolean;
    au(): void;
    a2(): void;
}
/**
 * @hidden
 */
export declare class XamFunnelController extends Base {
    static $t: Type;
    private readonly bp;
    ag: SliceInfoList;
    at: XamFunnelView;
    private cf;
    private cg;
    private cb;
    private cc;
    private bb;
    private bg;
    constructor();
    private cz;
    private au;
    protected av: DoubleAnimator;
    private aj;
    protected ak: Bezier;
    private z;
    protected aa: MessageHandler;
    private al;
    am: DoubleColumn;
    private ao;
    protected ar: ObjectColumn;
    private ap;
    protected as: ObjectColumn;
    private cl;
    protected cq: string;
    private ci;
    protected cn: string;
    private ch;
    protected cm: string;
    private a4;
    bj: boolean;
    private bv;
    b4: number;
    private bu;
    b3: number;
    private w;
    protected y: MessageChannel;
    private v;
    protected x: MessageChannel;
    private t;
    protected u: IOuterLabelWidthDecider;
    private p;
    protected q: IFunnelLabelSizeDecider;
    private a0;
    protected bc: boolean;
    private a3;
    protected bh: boolean;
    private bt;
    b2: number;
    private a2;
    protected be: boolean;
    private bq;
    protected bw: number;
    private a;
    protected c: BrushCollection;
    private b;
    protected d: BrushCollection;
    private ad;
    protected ae: OuterLabelAlignment;
    private m;
    protected n: FunnelSliceDisplay;
    private ax;
    protected a9: boolean;
    private bs;
    protected b1: number;
    private a5;
    protected bm: boolean;
    private ds;
    protected dv: Point;
    private dr;
    protected du: Point;
    private aw;
    protected a8: boolean;
    private b5;
    protected b9: number;
    private b6;
    protected ca: number;
    private r;
    protected s: IItemProvider;
    private ab;
    ac: ServiceProvider;
    private ah;
    ai: SliceSelectionManager;
    private g;
    protected k: FunnelFrame;
    private e;
    protected h: FunnelFrame;
    private f;
    protected j: FunnelFrame;
    private dw;
    protected dz: Style;
    private dx;
    protected d0: Style;
    private a7;
    protected bo: boolean;
    private a1;
    protected bd: boolean;
    private a6;
    protected bn: boolean;
    private az;
    protected ba: boolean;
    private ck;
    protected cp: string;
    private cj;
    protected co: string;
    private br;
    private readonly bz;
    private c7;
    private c2;
    bl(): boolean;
    bf(): boolean;
    dc(): void;
    private cu;
    private ct;
    private c9;
    private b0;
    private ay;
    private da;
    private cr;
    private bi;
    private c0;
    private ce;
    private cd;
    private dy;
    private dq;
    private dp;
    private by;
    private an;
    private cw;
    private cy;
    private l;
    private cx;
    private df;
    private bk;
    private de;
    private aq;
    private cv;
    private b7;
    private db;
    o: IChartLegend;
    private dl;
    dn: DataTemplate;
    private dk;
    dm: DataTemplate;
    private c6;
    private dd;
    private dj;
    private di;
    private c3;
    private c8;
    private c5;
    private c4;
    private dg;
    private dt;
    private b8;
    private bx;
    private af;
    private i;
    private dh;
    private c1;
    private cs;
}
/**
 * @hidden
 */
export declare class XamFunnelChart extends Control implements IItemProvider, ILegendOwner, ILegendTemplateProvider, ILegendSeries {
    static $t: Type;
    constructor();
    destroy(): void;
    private an;
    ao: MessageHandler;
    private dr;
    private ds;
    private ap;
    aq: ServiceProvider;
    am: MessageChannel;
    au: XamFunnelConnector;
    private dm;
    private dc;
    itemsSource: IEnumerable;
    aw: FastItemsSource;
    private bq;
    protected c8(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    c6: string;
    a4: IFastItemColumn$1<number>;
    private az;
    ah: BrushCollection;
    ai: BrushCollection;
    bl: number;
    ca: string;
    a0: IFastItemColumn$1<any>;
    private ax;
    cl: string;
    a1: IFastItemColumn$1<any>;
    private ay;
    eu: Visibility;
    ev: Visibility;
    ar: OuterLabelAlignment;
    ak: FunnelSliceDisplay;
    private br;
    bt: (arg1: any, arg2: number, arg3: any) => string;
    private bs;
    bu: (arg1: any, arg2: number, arg3: any) => string;
    bv: number;
    ba: boolean;
    er: Point;
    eq: Point;
    bb: boolean;
    a5: boolean;
    bd: boolean;
    es: Style;
    et: Style;
    bx: any;
    private bh;
    private be;
    readonly bg: IList;
    legend: IChartLegend;
    legendItemTemplate: DataTemplate;
    legendItemBadgeTemplate: DataTemplate;
    bc: boolean;
    private bz;
    cw: string;
    private by;
    co: string;
    bn: number;
    onDetachedFromUI(): void;
    onAttachedToUI(): void;
    private dl;
    private a6;
    private a7;
    private a2;
    private a3;
    private da;
    private a9;
    private a8;
    private dt;
    sliceClicked: (sender: any, args: FunnelSliceClickedEventArgs) => void;
    private dq;
    private dp;
    private db;
    getItem(a: number): any;
    readonly count: number;
    private bw;
    provideContainer(a: any): void;
    notifyResized(): void;
    di(source_: any, a: number, b: any, c: any): void;
    dd(source_: any): void;
    df(source_: any, a: number, b: any): void;
    dg(source_: any, a: number, b: any): void;
    private de;
    private av;
    private as;
    ag: number[];
    du(a: number): void;
    at(): FunnelChartVisualData;
    b4(): string;
    resolveLegendIndex(): number;
    forSubItems(a: (arg1: any) => void): void;
    private bj;
    bp: number;
    private bi;
    bk: number;
    readonly container: ILegendOwner;
    readonly isStacked: boolean;
    readonly isVertical: boolean;
    readonly isUsableInLegend: boolean;
    readonly hasSubItems: boolean;
    readonly hasMarkers: boolean;
    private em;
    eo: Brush;
    private en;
    ep: Brush;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class XamFunnelConnector extends Base {
    static $t: Type;
    private d;
    private b;
    readonly e: XamFunnelView;
    readonly c: XamFunnelController;
    private a;
    g(): void;
    constructor(a: XamFunnelView, b: XamFunnelChart);
    h(a: XamFunnelView): void;
    f(): void;
}
