import { IgxHighlightingInfo } from "./igx-highlighting-info";
import { AssigningSeriesStyleEventArgsBase as AssigningSeriesStyleEventArgsBase_internal } from "./AssigningSeriesStyleEventArgsBase";
/**
 * Represents event arguments base class for the AssigningCategoryStyleEventArgsBase
*/
export declare abstract class IgxAssigningSeriesStyleEventArgsBase {
    protected createImplementation(): AssigningSeriesStyleEventArgsBase_internal;
    protected _implementation: any;
    /**
     * @hidden
     */
    readonly i: AssigningSeriesStyleEventArgsBase_internal;
    private onImplementationCreated;
    constructor();
    protected _provideImplementation(i: any): void;
    /**
     * Gets the start index
    */
    startIndex: number;
    static ngAcceptInputType_startIndex: number | string;
    /**
     * Gets the end index
    */
    endIndex: number;
    static ngAcceptInputType_endIndex: number | string;
    /**
     * Gets the start date, if applicable
    */
    startDate: Date;
    /**
     * Gets the end date, if applicable
    */
    endDate: Date;
    /**
     * Gets a function that will return the items associated with this event.
    */
    getItems: (orderedStartIndex: number, orderedEndIndex: number) => any[];
    /**
     * Gets or sets fill brush to use for the current item.
    */
    fill: string;
    /**
     * Gets or sets stroke to use for the current item.
    */
    stroke: string;
    /**
     * Gets or sets opacity to use for the current item.
    */
    opacity: number;
    static ngAcceptInputType_opacity: number | string;
    /**
     * Gets or sets opacity to use for the current item.
    */
    fadeOpacity: number;
    static ngAcceptInputType_fadeOpacity: number | string;
    /**
     * Gets or sets highlighting info
    */
    highlightingInfo: IgxHighlightingInfo;
    /**
     * Gets the max highlighting progress from all series.
    */
    maxAllSeriesHighlightingProgress: number;
    static ngAcceptInputType_maxAllSeriesHighlightingProgress: number | string;
    /**
     * Gets the sum of highlighting progress from all series.
    */
    sumAllSeriesHighlightingProgress: number;
    static ngAcceptInputType_sumAllSeriesHighlightingProgress: number | string;
    /**
     * Gets the average of highlighting progress from all the series.
    */
    totalAllSeriesHighlightingProgress: number;
    static ngAcceptInputType_totalAllSeriesHighlightingProgress: number | string;
    /**
     * Gets or sets if highlighting was handled by this event handler, and whether internal highlighting logic should be skipped.
    */
    highlightingHandled: boolean;
    static ngAcceptInputType_highlightingHandled: boolean | string;
    /**
     * Gets if this event has a valid date range
    */
    hasDateRange: boolean;
    static ngAcceptInputType_hasDateRange: boolean | string;
    /**
     * Gets if the current shape is identified as a negative shape if this series supports discrete negative shapes.
    */
    isNegativeShape: boolean;
    static ngAcceptInputType_isNegativeShape: boolean | string;
    /**
     * Gets if the current event is being raised for the thumbnail image.
    */
    isThumbnail: boolean;
    static ngAcceptInputType_isThumbnail: boolean | string;
    findByName(name: string): any;
}
