import { Type, EventEmitter } from '@angular/core';
import { IgRect } from "igniteui-angular-core";
import { IgPoint } from "igniteui-angular-core";
import { IgxCategoryAxisBaseComponent } from "./igx-category-axis-base-component";
import { IgxAxisComponent } from "./igx-axis-component";
import { CategoryYAxis } from "./CategoryYAxis";
/**
 * Represents a IgxDataChartComponent category Y axis.
*/
export declare const IgxCategoryYAxisComponent_PROVIDERS: {
    provide: typeof IgxAxisComponent;
    useExisting: Type<any>;
}[];
export declare class IgxCategoryYAxisComponent extends IgxCategoryAxisBaseComponent {
    protected createImplementation(): CategoryYAxis;
    /**
                                 * @hidden
                                 */
    readonly i: CategoryYAxis;
    constructor();
    /**
     * Gets if the current axis is a vertical axis.
    */
    readonly isVertical: boolean;
    static ngAcceptInputType_isVertical: boolean | string;
    /**
     * Gets or sets the frequency of displayed labels.
     * The set value is a factor that determines which labels will be hidden. For example, an interval of 2 will display every other label.
    */
    interval: number;
    static ngAcceptInputType_interval: number | string;
    /**
     * Gets the effective value for the current Interval.
    */
    actualInterval: number;
    static ngAcceptInputType_actualInterval: number | string;
    /**
     * Gets or sets the frequency of displayed minor lines.
     * The set value is a factor that determines how the minor lines will be displayed.
    */
    minorInterval: number;
    static ngAcceptInputType_minorInterval: number | string;
    /**
     * Gets the effective value for the current MinorInterval.
    */
    actualMinorInterval: number;
    static ngAcceptInputType_actualMinorInterval: number | string;
    getCategoryBoundingBox(point: IgPoint, useInterpolation: boolean, singularWidth: number): IgRect;
    scrollRangeIntoView(minimum: number, maximum: number): void;
    /**
     * Scrolls the specified item into view.
    
    * @param item  * Data item to scroll into view
    */
    scrollIntoView(item: any): void;
    private _actualIntervalChange;
    readonly actualIntervalChange: EventEmitter<number>;
    private _actualMinorIntervalChange;
    readonly actualMinorIntervalChange: EventEmitter<number>;
}
