import { Type } from '@angular/core';
import { ColorScaleInterpolationMode } from "./ColorScaleInterpolationMode";
import { IgxColorScaleComponent } from "./igx-color-scale-component";
import { CustomPaletteColorScale } from "./CustomPaletteColorScale";
/**
 * ColorScale class for selecting a color from a given palette, or interpolating between adjacent colors in that palette.
*/
export declare const IgxCustomPaletteColorScaleComponent_PROVIDERS: {
    provide: typeof IgxColorScaleComponent;
    useExisting: Type<any>;
}[];
export declare class IgxCustomPaletteColorScaleComponent extends IgxColorScaleComponent {
    protected createImplementation(): CustomPaletteColorScale;
    /**
                                 * @hidden
                                 */
    readonly i: CustomPaletteColorScale;
    constructor();
    /**
     * The lowest value to assign a color.  Any given value less than this value will be made Transparent.
    */
    minimumValue: number;
    static ngAcceptInputType_minimumValue: number | string;
    /**
     * The highest value to assign a color.  Any given value greater than this value will be made Transparent.
    */
    maximumValue: number;
    static ngAcceptInputType_maximumValue: number | string;
    /**
     * A list of colors to select from or interpolate between.
    */
    palette: string[];
    static ngAcceptInputType_palette: string[] | string;
    /**
     * The approach to use when getting a color from the palette.
    */
    interpolationMode: ColorScaleInterpolationMode;
    static ngAcceptInputType_interpolationMode: ColorScaleInterpolationMode | string;
    providePalette(colors: string[]): void;
}
