import { IgDataTemplate } from "igniteui-angular-core";
import { Visibility } from "igniteui-angular-core";
import { IgxStyle } from "igniteui-angular-core";
import { MarkerType } from "./MarkerType";
import { StackedSeriesCreatedEventArgs as StackedSeriesCreatedEventArgs_internal } from "./StackedSeriesCreatedEventArgs";
/**
 * Provides data for IgxDataChartComponent stacked series.
*/
export declare class IgxStackedSeriesCreatedEventArgs {
    protected _implementation: any;
    /**
     * @hidden
     */
    readonly i: StackedSeriesCreatedEventArgs_internal;
    private onImplementationCreated;
    constructor();
    protected _provideImplementation(i: any): void;
    /**
     * Gets or sets the series brush.
    */
    brush: string;
    /**
     * Gets or sets the series legend item template.
    */
    legendItemTemplate: IgDataTemplate;
    /**
     * Gets or sets the series legend item badge templae.
    */
    legendItemBadgeTemplate: IgDataTemplate;
    /**
     * Gets or sets the visibility of the series legend.
    */
    legendItemVisibility: Visibility;
    static ngAcceptInputType_legendItemVisibility: Visibility | string;
    /**
     * Gets or sets the series outline brush.
    */
    outline: string;
    /**
     * Gets the index of the series.
    */
    readonly index: number;
    static ngAcceptInputType_index: number | string;
    /**
     * Gets or sets the series outline thickness.
    */
    thickness: number;
    static ngAcceptInputType_thickness: number | string;
    /**
     * Gets or sets the series title.
    */
    title: any;
    /**
     * Gets or sets the series marker brush.
    */
    markerBrush: string;
    /**
     * Gets or sets the series marker outline.
    */
    markerOutline: string;
    /**
     * Gets or sets the series marker style.
    */
    markerStyle: IgxStyle;
    /**
     * Gets or sets the series marker template.
    */
    markerTemplate: IgDataTemplate;
    /**
     * Gets or sets the series marker type.
    */
    markerType: MarkerType;
    static ngAcceptInputType_markerType: MarkerType | string;
    /**
     * Gets or sets the series marker thickness.
    */
    markerThickness: number;
    static ngAcceptInputType_markerThickness: number | string;
}
