import { EventEmitter, ViewContainerRef, Injector, ComponentFactoryResolver, AfterContentInit, Renderer2, NgZone } from '@angular/core';
import { IgRect } from "igniteui-angular-core";
import { ZoomSliderOrientation } from './ZoomSliderOrientation';
import { IgxZoomSliderResolvingAxisValueEventArgs } from './igx-zoom-slider-resolving-axis-value-event-args';
import { IgxRectChangedEventArgs } from "igniteui-angular-core";
import { ZoomSlider } from "./ZoomSlider";
export declare const IgxZoomSliderComponent_PROVIDERS: any[];
export declare class IgxZoomSliderComponent implements AfterContentInit {
    private renderer;
    private _elRef;
    private ngZone;
    private injector;
    private componentFactoryResolver;
    container: Element;
    private _height;
    private _width;
    height: string;
    width: string;
    _dynamicContent: ViewContainerRef;
    private _wrapper;
    private _root;
    constructor(renderer: Renderer2, _elRef: ViewContainerRef, ngZone: NgZone, injector: Injector, componentFactoryResolver: ComponentFactoryResolver);
    updateStyle(): void;
    ngOnDestroy(): void;
    private _implementation;
    ngAfterContentInit(): void;
    protected createImplementation(): ZoomSlider;
    readonly i: ZoomSlider;
    private _zoomSlider;
    protected static _staticStyling(container: any, component: any, parent?: any): void;
    panTransitionDuration: number;
    static ngAcceptInputType_panTransitionDuration: number | string;
    maxZoomWidth: number;
    static ngAcceptInputType_maxZoomWidth: number | string;
    /**
     * Gets or sets the scaling value used to affect the pixel density of the control.
     * A higher scaling ratio will produce crisper visuals at the expense of memory.  Lower values will cause the control
     * to appear blurry.
    */
    pixelScalingRatio: number;
    static ngAcceptInputType_pixelScalingRatio: number | string;
    actualPixelScalingRatio: number;
    static ngAcceptInputType_actualPixelScalingRatio: number | string;
    windowRect: IgRect;
    static ngAcceptInputType_windowRect: IgRect | string;
    minZoomWidth: number;
    static ngAcceptInputType_minZoomWidth: number | string;
    startInset: number;
    static ngAcceptInputType_startInset: number | string;
    endInset: number;
    static ngAcceptInputType_endInset: number | string;
    trackStartInset: number;
    static ngAcceptInputType_trackStartInset: number | string;
    trackEndInset: number;
    static ngAcceptInputType_trackEndInset: number | string;
    barExtent: number;
    static ngAcceptInputType_barExtent: number | string;
    orientation: ZoomSliderOrientation;
    static ngAcceptInputType_orientation: ZoomSliderOrientation | string;
    lowerThumbBrush: string;
    lowerThumbStrokeThickness: number;
    static ngAcceptInputType_lowerThumbStrokeThickness: number | string;
    higherThumbStrokeThickness: number;
    static ngAcceptInputType_higherThumbStrokeThickness: number | string;
    higherThumbBrush: string;
    lowerThumbOutline: string;
    higherThumbOutline: string;
    lowerThumbRidgesBrush: string;
    higherThumbRidgesBrush: string;
    lowerThumbWidth: number;
    static ngAcceptInputType_lowerThumbWidth: number | string;
    higherThumbWidth: number;
    static ngAcceptInputType_higherThumbWidth: number | string;
    lowerThumbHeight: number;
    static ngAcceptInputType_lowerThumbHeight: number | string;
    higherThumbHeight: number;
    static ngAcceptInputType_higherThumbHeight: number | string;
    lowerShadeBrush: string;
    lowerShadeOutline: string;
    lowerShadeStrokeThickness: number;
    static ngAcceptInputType_lowerShadeStrokeThickness: number | string;
    higherShadeBrush: string;
    higherShadeOutline: string;
    higherShadeStrokeThickness: number;
    static ngAcceptInputType_higherShadeStrokeThickness: number | string;
    barBrush: string;
    barOutline: string;
    barStrokeThickness: number;
    static ngAcceptInputType_barStrokeThickness: number | string;
    rangeThumbBrush: string;
    rangeThumbOutline: string;
    rangeThumbStrokeThickness: number;
    static ngAcceptInputType_rangeThumbStrokeThickness: number | string;
    rangeThumbRidgesBrush: string;
    lowerCalloutBrush: string;
    lowerCalloutTextColor: string;
    lowerCalloutOutline: string;
    lowerCalloutStrokeThickness: number;
    static ngAcceptInputType_lowerCalloutStrokeThickness: number | string;
    higherCalloutBrush: string;
    higherCalloutTextColor: string;
    higherCalloutOutline: string;
    higherCalloutStrokeThickness: number;
    static ngAcceptInputType_higherCalloutStrokeThickness: number | string;
    readonly isCustomThumbProvided: boolean;
    static ngAcceptInputType_isCustomThumbProvided: boolean | string;
    readonly isCustomRangeThumbProvided: boolean;
    static ngAcceptInputType_isCustomRangeThumbProvided: boolean | string;
    readonly isCustomBarProvided: boolean;
    static ngAcceptInputType_isCustomBarProvided: boolean | string;
    readonly isCustomShadeProvided: boolean;
    static ngAcceptInputType_isCustomShadeProvided: boolean | string;
    areThumbCalloutsEnabled: boolean;
    static ngAcceptInputType_areThumbCalloutsEnabled: boolean | string;
    thumbCalloutTextStyle: string;
    findByName(name: string): any;
    protected __p: string;
    protected _hasUserValues: Set<string>;
    protected readonly hasUserValues: Set<string>;
    protected __m(propertyName: string): void;
    protected _stylingContainer: any;
    protected _stylingParent: any;
    protected _inStyling: boolean;
    protected _styling(container: any, component: any, parent?: any): void;
    onDetachedFromUI(): void;
    onAttachedToUI(): void;
    /**
     * Release any resources held by the ZoomSlider.
    
    */
    destroy(): void;
    /**
     * Called by the UI framework to provide a UI container for rendering this control.
    
    * @param container  * The UI container element.
    */
    provideContainer(container: any): void;
    flush(): void;
    trackDirty(): void;
    /**
     * Shows the ZoomSlider.
    
    */
    show(): void;
    /**
     * Hides the ZoomSlider.
    
    */
    hide(): void;
    private _resolvingAxisValue;
    readonly resolvingAxisValue: EventEmitter<{
        sender: any;
        args: IgxZoomSliderResolvingAxisValueEventArgs;
    }>;
    private _windowRectChanged;
    /**
     * Occurs just after the current ZoomSlider's window rectangle is changed.
    */
    readonly windowRectChanged: EventEmitter<{
        sender: any;
        args: IgxRectChangedEventArgs;
    }>;
    protected _zoneRunner: (act: () => void) => void;
    protected _runInZone(act: () => void): void;
}
